Subject: bug#60048: 30.0.50; Freeze when next-line on details in Completions list

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Dec 2022 21:28:59 +0200

close 60048 29.0.60
thanks

>>> Emacs freeze when the command `previous-line-completion' or
>>> `next-line-completion' are executed in Completions list and the cursor
>>> is positioned at some details (the prefix and suffix annotations).
>>
>> Thanks for the bug report.  When the cursor is on a prefix or a suffix,
>> where in your opinion typing <down> should go?  Do you expect that
>> it should search for the completion candidate from the left
>> or from the right side after moving to the next line if it
>> can't see the completion candidate already near point?
>
> Regarding your question, if I understood it correctly, I expect <down>
> to have the exactly same behavior regardless of the cursor position,
> i.e., to move to next completion line, no matter if cursor is on a
> prefix, a suffix or on a completion candidate.  The same is true for
> <up>.  The <left> and <right> seems to be working as expected.

Thanks, now fixed by removing commands added recently before feature freeze.
They could be re-added later in master.